<template>
  <button @click="triggerAction()" class="botao botao-perigo" :type="tipo">{{rotulo}}</button>
</template>

<script>
export default {
 // props: ["tipo", "rotulo", "confirmation"],
  props: {
       tipo: {
           type: String, 
           required: true
       },

       rotulo: {
           type: String, 
           required: true
       },

       confirmation: Boolean
   },
  data() {
    return {
      visible: true
    };
  },
  methods: {
    triggerAction() {
      if (this.confirmation) {
        if (confirm("serio?")) 
          this.$emit("buttonClicked", new Date());
          return;
      }
      this.$emit("buttonClicked", new Date());
    }
  }
};
</script>

<style lang="scss" scoped>
.botao {
  display: inline-block;
  padding: 10px;
  border-radius: 3px;
  margin: 10px;
  font-size: 1.2em;
}

.botao-perigo {
  background: firebrick;
  color: white;
}

.botao-padrao {
  background: darkcyan;
  color: white;
}
</style>
